Package org.eclipse.jface.viewers

## Class ViewerLabel

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerLabel

    public class ViewerLabel
    extends Object

The ViewerLabel is the class that is passed to a viewer to handle updates of labels. It keeps track of both original and updates text.

Since:
  3.0
See Also:
  `IViewerLabelProvider`

### Constructor Summary

Constructors
`ViewerLabel​(String initialText, Image initialImage)` Create a new instance of the receiver with the supplied initial text and image.

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getBackground()` Get the background Color.
`Font` `getFont()` Get the font.
`Color` `getForeground()` Get the foreground Color.
`Image` `getImage()` Get the image for the receiver.
`String` `getText()` Get the text for the receiver.
`Color` `getTooltipBackgroundColor()` Return the tool tip background color.
`Color` `getTooltipForegroundColor()` Return the foreground `Color`.
`Point` `getTooltipShift()`
`String` `getTooltipText()` Returns the tooltipText.
`boolean` `hasNewBackground()` Return whether or not the background color has been set.
`boolean` `hasNewFont()` Return whether or not the font has been set.
`boolean` `hasNewForeground()` Return whether or not the foreground color has been set.
`boolean` `hasNewImage()` Return whether or not the image has been set.
`boolean` `hasNewText()` Return whether or not the text has been set.
`boolean` `hasNewTooltipBackgroundColor()` Return whether or not the tool tip background color has been set.
`boolean` `hasNewTooltipForegroundColor()` Return whether or not the tool tip foreground color has been set.
`boolean` `hasNewTooltipText()` Return whether or not the tool tip text has been set.
`boolean` `hasTooltipShift()`
`void` `setBackground​(Color background)` Set the background Color.
`void` `setFont​(Font font)` Set the font.
`void` `setForeground​(Color foreground)` Set the foreground Color.
`void` `setImage​(Image image)` Set the image for the receiver.
`void` `setText​(String text)` Set the text for the receiver.
`void` `setTooltipBackgroundColor​(Color tooltipBackgroundColor)` Set the background `Color` for tool tip.
`void` `setTooltipForegroundColor​(Color tooltipForegroundColor)` Set the foreground `Color` for tool tip.
`void` `setTooltipShift​(Point tooltipShift)`
`void` `setTooltipText​(String tooltipText)` Set the tool tip text.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewerLabel

    public ViewerLabel​(String initialText,
                       Image initialImage)

Create a new instance of the receiver with the supplied initial text and image.

Parameters:
  `initialText` - initial text
  `initialImage` - initial image

### Method Detail

#### getImage

    public final Image getImage()

Get the image for the receiver. If the new image has been set return it, otherwise return the starting image.

Returns:
  Returns the image.

#### setImage

    public final void setImage​(Image image)

Set the image for the receiver.

Parameters:
  `image` - The image to set.

#### getText

    public final String getText()

Get the text for the receiver. If the new text has been set return it, otherwise return the starting text.

Returns:
  String or `null` if there was no initial text and nothing was updated.

#### setText

    public final void setText​(String text)

Set the text for the receiver.

Parameters:
  `text` - String The label to set. This value should not be `null`.
See Also:
  `hasNewText()`

#### hasNewImage

    public boolean hasNewImage()

Return whether or not the image has been set.

Returns:
  boolean. `true` if the image has been set to something new.
Since:
  3.1

#### hasNewText

    public boolean hasNewText()

Return whether or not the text has been set.

Returns:
  boolean. `true` if the text has been set to something new.

#### hasNewBackground

    public boolean hasNewBackground()

Return whether or not the background color has been set.

Returns:
  boolean. `true` if the value has been set.

#### hasNewForeground

    public boolean hasNewForeground()

Return whether or not the foreground color has been set.

Returns:
  boolean. `true` if the value has been set.
Since:
  3.1

#### hasNewFont

    public boolean hasNewFont()

Return whether or not the font has been set.

Returns:
  boolean. `true` if the value has been set.
Since:
  3.1

#### getBackground

    public Color getBackground()

Get the background Color.

Returns:
  Color or `null` if no new value was set.
Since:
  3.1

#### setBackground

    public void setBackground​(Color background)

Set the background Color.

Parameters:
  `background` - Color. This value should not be `null`.
Since:
  3.1

#### getFont

    public Font getFont()

Get the font.

Returns:
  Font or `null` if no new value was set.
Since:
  3.1

#### setFont

    public void setFont​(Font font)

Set the font.

Parameters:
  `font` - Font This value should not be `null`.
Since:
  3.1

#### getForeground

    public Color getForeground()

Get the foreground Color.

Returns:
  Color or `null` if no new value was set.
Since:
  3.1

#### setForeground

    public void setForeground​(Color foreground)

Set the foreground Color.

Parameters:
  `foreground` - Color This value should not be `null`.
Since:
  3.1

#### getTooltipText

    public String getTooltipText()

Returns the tooltipText.

Returns:
  `String` or `null` if the tool tip text was never set.
Since:
  3.3

#### setTooltipText

    public void setTooltipText​(String tooltipText)

Set the tool tip text.

Parameters:
  `tooltipText` - The tooltipText `String` to set. This value should not be `null`.
Since:
  3.3

#### hasNewTooltipText

    public boolean hasNewTooltipText()

Return whether or not the tool tip text has been set.

Returns:
  `boolean`. `true` if the tool tip text has been set.
Since:
  3.3

#### getTooltipBackgroundColor

    public Color getTooltipBackgroundColor()

Return the tool tip background color.

Returns:
  `Color` or `null` if the tool tip background color has not been set.
Since:
  3.3

#### setTooltipBackgroundColor

    public void setTooltipBackgroundColor​(Color tooltipBackgroundColor)

Set the background `Color` for tool tip.

Parameters:
  `tooltipBackgroundColor` - The `Color` to set. This value should not be `null`.
Since:
  3.3

#### hasNewTooltipBackgroundColor

    public boolean hasNewTooltipBackgroundColor()

Return whether or not the tool tip background color has been set.

Returns:
  `boolean`. `true` if the tool tip text has been set.
Since:
  3.3

#### getTooltipForegroundColor

    public Color getTooltipForegroundColor()

Return the foreground `Color`.

Returns:
  Returns `Color` or `null` if the tool tip foreground color has not been set.
Since:
  3.3

#### setTooltipForegroundColor

    public void setTooltipForegroundColor​(Color tooltipForegroundColor)

Set the foreground `Color` for tool tip.

Parameters:
  `tooltipForegroundColor` - The tooltipForegroundColor to set.
Since:
  3.3

#### hasNewTooltipForegroundColor

    public boolean hasNewTooltipForegroundColor()

Return whether or not the tool tip foreground color has been set.

Returns:
  `boolean`. `true` if the tool tip foreground has been set.
Since:
  3.3

#### getTooltipShift

    public Point getTooltipShift()

Returns:
  Returns the tooltipShift.
Since:
  3.3

#### setTooltipShift

    public void setTooltipShift​(Point tooltipShift)

Parameters:
  `tooltipShift` - The tooltipShift to set.
Since:
  3.3

#### hasTooltipShift

    public boolean hasTooltipShift()

Returns:
  Return whether or not the tool tip shift has been set.
Since:
  3.3